Model Distillation 프로젝트 만들기
curl --request PUT \
--url https://distillation.training.wandb.ai/v1/tasks/{alias} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project": "ticket-classifier",
"project_mode": "create",
"proxy_backend": "cloudflare",
"targets": [
{
"model_ref": "openai/gpt-5.6-sol",
"weight": 1,
"params_override": {}
}
]
}
'import requests
url = "https://distillation.training.wandb.ai/v1/tasks/{alias}"
payload = {
"project": "ticket-classifier",
"project_mode": "create",
"proxy_backend": "cloudflare",
"targets": [
{
"model_ref": "openai/gpt-5.6-sol",
"weight": 1,
"params_override": {}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project: 'ticket-classifier',
project_mode: 'create',
proxy_backend: 'cloudflare',
targets: [{model_ref: 'openai/gpt-5.6-sol', weight: 1, params_override: {}}]
})
};
fetch('https://distillation.training.wandb.ai/v1/tasks/{alias}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity": "<string>",
"project": "<string>",
"alias": "<string>",
"proxy_backend": "cloudflare",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"versions": [
{
"version": 2,
"created_at": "2023-11-07T05:31:56Z",
"routing": {
"targets": [
{
"model_ref": "openai/gpt-5.6-sol",
"weight": 1,
"params_override": {
"temperature": 0
}
}
]
},
"deployment": {
"proxy_backend": "<string>",
"status": "pending",
"applied_revision": 123,
"external_ref": "<string>",
"last_error": "<string>"
}
}
]
}{
"error": {
"message": "Task 'missing' not found in entity 'your-team'",
"type": "not_found"
}
}Model Distillation 프로젝트 만들기
프로젝트 버전 1을 생성하고 필수 초기 라우팅 설정을 게시합니다. 새 W&B 프로젝트를 생성하려면 project_mode를 create로, 액세스 가능한 기존 프로젝트를 임포트하려면 import로 설정하세요. 각 W&B 프로젝트는 entity마다 정확히 하나의 Model Distillation 프로젝트에만 속할 수 있습니다. 경로 별칭은 클라이언트가 추론 요청에 사용하는 프록시 모델 이름이며 W&B 프로젝트 이름과 다를 수 있습니다.
PUT
/
tasks
/
{alias}
Model Distillation 프로젝트 만들기
인증
W&B API 키.
헤더
액세스 가능한 개인 또는 팀 entity. 인증된 사용자의 기본 entity를 사용하려면 생략하세요.
경로 매개변수
Pattern:
^[a-z0-9-]{1,64}$본문
application/json
이 Model Distillation 프로젝트가 소유한 유일한 W&B 프로젝트.
Required string length:
1 - 128새 W&B 프로젝트를 생성하거나 액세스 가능한 기존 W&B 프로젝트를 임포트하세요.
사용 가능한 옵션:
create, import 초기 라우팅 설정입니다. 새 작업은 하나 이상의 모델로 트래픽을 라우팅해야 합니다.
Minimum array length:
1Show child attributes
Show child attributes
사용 가능한 옵션:
cloudflare, local 필수 범위:
0 <= x <= 1마지막 수정일 2026년 9월 30일
이 페이지가 도움이 되었나요?